#include <iostream>
#include <iomanip>
#include <cmath>
#include <complex>

using namespace std;

int main()
{
	complex<double> a, b, c;
	complex<double> d, sol[2];

	cout << "a = ";
	cin >> a;
	cout << "b = ";
	cin >> b;
	cout << "c = ";
	cin >> c;

	cout << "input equation: ";
	cout << a << " * x^2 + ";
	cout << b << " * x   + ";
	cout << c << " = 0 " << endl;

	if(a == 0.0)
	{
		if(b == 0.0)
		{
			cout << "Cannot solve!" << endl;
			return -1;
		}
		sol[0] = -c / b;

		cout << "Solution: " << sol[0] << endl;

		return 0;
	}


	d = b * b - 4.0 * a * c;

	sol[0] = (-b + sqrt(d)) / (2.0 * a);
	sol[1] = (-b - sqrt(d)) / (2.0 * a);

	cout << "Solutions: " << sol[0] << ", " << sol[1] << endl;

	return 0;
}
