//#include "complex_gmpfrxx.h"
#include <complex>
#include <cmath>
#include "gmpfrxx.h"

mpfr_class relative_error(mpfr_class approx, mpfr_class true_sol)
{
	mpfr_class ret(approx.get_prec());

	ret = approx - true_sol;
	if(true_sol != 0)
		ret = abs(ret / true_sol);

	return ret;
}
